# ~/.tmuxinator/sample.yml
# you can make as many tabs as you wish...

name: css-alarm-server
root: <%= ENV["PWD"] %> 
#socket_name: foo # Remove to use default socket
pre_window: bash # rbenv shell 2.0.0-p247 # Runs in each tab and pane
#tmux_options: -f ~/.tmux.mac.conf # Pass arguments to tmux
#tmux_detached: false
windows:
  - editor:
      pre:
        - export HALLC_IMAGES=.
        - export KAFKA_SERVER_CONFIG_DIR=$PWD/local_config
          #- export KAFKA_SERVER_CONFIG_DIR=/group/c-csv/whit/software/epics_css_image/config

      layout: even-vertical
      panes:
        - pane_with_multiple_commands:
            - echo "running ioc"
              #- cd ../scandalizer/iocBoot/iocscandalizer
        - singularity run --app zookeeper   -B /mnt/old_system:/mnt/old_system  -B /mnt/old_home:/mnt/old_home  ${HALLC_IMAGES}/Singularity.alarm_server.simg
        - sleep 5 && singularity run --app kafka    -B /mnt/old_system:/mnt/old_system  -B /mnt/old_home:/mnt/old_home     ${HALLC_IMAGES}/Singularity.alarm_server.simg
        - sleep 10 && singularity run --app alarm-server  -B /mnt/old_system:/mnt/old_system  -B /mnt/old_home:/mnt/old_home ${HALLC_IMAGES}/Singularity.alarm_server.simg -config Scandalizer

